<?php
/**
* Category Color
*
* @package Dolpa
*/

$dolpa_defaults = dolpa_get_default_theme_options();
$dolpa_post_category_list = dolpa_post_category_list();

// Slider Section.
$wp_customize->add_section( 'dolpa_category_color_section',
	array(
	'title'      => esc_html__( 'Category Color', 'dolpa' ),
	'capability' => 'edit_theme_options',
    'panel'      => 'theme_colors_panel',
	)
);


// Recommended Posts Enable Disable.
$wp_customize->add_setting( 'dolpa_category_colors', array(
    'sanitize_callback' => 'dolpa_sanitize_repeater',
    'default' => json_encode( $dolpa_defaults['dolpa_category_colors'] ),
));

$wp_customize->add_control(  new Dolpa_Repeater_Controler( $wp_customize, 'dolpa_category_colors', 
    array(
        'section' => 'dolpa_category_color_section',
        'settings' => 'dolpa_category_colors',
        'dolpa_box_label' => esc_html__('New Category','dolpa'),
        'dolpa_box_add_control' => esc_html__('Add New Category Color','dolpa'),
        'dolpa_box_add_button' => true,
    ),
        array(
            'category' => array(
                'type'        => 'select',
                'label'       => esc_html__( 'Select Category', 'dolpa' ),
                'options'     => $dolpa_post_category_list,
                'class'       => 'dolpa-custom-cat-color'
            ),
            'category_color' => array(
                'type'        => 'colorpicker',
                'label'       => esc_html__( 'Category Color', 'dolpa' ),
                'class'       => ''
            ),
            
    )
));
