<?php
/**
 * Pagination Settings
 *
 * @package Dolpa
 */

$dolpa_default = dolpa_get_default_theme_options();

// Pagination Section.
$wp_customize->add_section( 'dolpa_pagination_section',
	array(
	'title'      => esc_html__( 'Pagination Settings', 'dolpa' ),
	'priority'   => 20,
	'capability' => 'edit_theme_options',
	'panel'		 => 'theme_option_panel',
	)
);

// Pagination Layout Settings
$wp_customize->add_setting( 'dolpa_pagination_layout',
	array(
	'default'           => $dolpa_default['dolpa_pagination_layout'],
	'capability'        => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	)
);
$wp_customize->add_control( 'dolpa_pagination_layout',
	array(
	'label'       => esc_html__( 'Pagination Method', 'dolpa' ),
	'section'     => 'dolpa_pagination_section',
	'type'        => 'select',
	'choices'     => array(
		'next-prev' => esc_html__('Next/Previous Method','dolpa'),
		'numeric' => esc_html__('Numeric Method','dolpa'),
		'load-more' => esc_html__('Ajax Load More Button','dolpa'),
		'auto-load' => esc_html__('Ajax Auto Load','dolpa'),
	),
	)
);