<?php
/**
* Posts Settings.
*
* @package Dolpa
*/

$dolpa_default = dolpa_get_default_theme_options();

// Single Post Section.
$wp_customize->add_section( 'posts_settings',
	array(
	'title'      => esc_html__( 'Posts Settings', 'dolpa' ),
	'priority'   => 35,
	'capability' => 'edit_theme_options',
	'panel'      => 'theme_option_panel',
	)
);

$wp_customize->add_setting('dolpa_post_author',
    array(
        'default' => $dolpa_default['dolpa_post_author'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_post_author',
    array(
        'label' => esc_html__('Enable Posts Author', 'dolpa'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('dolpa_post_date',
    array(
        'default' => $dolpa_default['dolpa_post_date'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_post_date',
    array(
        'label' => esc_html__('Enable Posts Date', 'dolpa'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('dolpa_post_category',
    array(
        'default' => $dolpa_default['dolpa_post_category'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_post_category',
    array(
        'label' => esc_html__('Enable Posts Category', 'dolpa'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting('dolpa_post_tags',
    array(
        'default' => $dolpa_default['dolpa_post_tags'],
        'capability' => 'edit_theme_options',
        'sanitize_callback' => 'dolpa_sanitize_checkbox',
    )
);
$wp_customize->add_control('dolpa_post_tags',
    array(
        'label' => esc_html__('Enable Posts Tags', 'dolpa'),
        'section' => 'posts_settings',
        'type' => 'checkbox',
    )
);