<?php
/**
 * The default template for displaying content
 *
 * Used for both singular and index.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Dolpa
 * @since 1.0.0
 */

$dolpa_default = dolpa_get_default_theme_options();
$dolpa_archive_layout = get_theme_mod( 'dolpa_archive_layout',$dolpa_default['dolpa_archive_layout'] );
if( $dolpa_archive_layout == 'default' || $dolpa_archive_layout == 'lateral' || $dolpa_archive_layout == 'masonry' ){
	$image_size = 'medium_large';
}else{
	$image_size = 'full';
}

?>
<article id="post-<?php the_ID(); ?>" <?php post_class('theme-article theme-article-pagination'); ?>>

    <?php
    $featured_image = wp_get_attachment_image_src( get_post_thumbnail_id(), $image_size );
    $featured_image = isset( $featured_image[0] ) ? $featured_image[0] : ''; ?>

    <div class="post-thumbnail">
        <div class="post-thumbnail-effects">

            <a href="<?php the_permalink(); ?>">
                <span class="data-bg data-bg-archive"
                      data-background="<?php echo esc_url( $featured_image ); ?>"></span>
            </a>

            <?php
            $format = get_post_format(get_the_ID()) ?: 'standard';
            $icon = dolpa_post_format_icon($format);

            if( !empty( $icon ) ){ ?>
                <div class="post-format-icon"><i class="ion <?php echo esc_attr( $icon ); ?>"></i></div>
            <?php } ?>

        </div>

        <div class="post-thumbnail-overlay">

            <?php
            if( 'post' === get_post_type() ){ ?>

                <div class="entry-meta">
                    <?php dolpa_entry_footer($cats = true, $tags = false, $edits = false, $text = false, $icon = false); ?>
                </div>

            <?php } ?>

        </div>

    </div>

    <div class="post-content">

        <div class="entry-meta">
            <?php
            dolpa_posted_on();
            dolpa_posted_by();
            ?>
        </div>

        <header class="entry-header">

            <h2 class="entry-title entry-title-medium">

                <a href="<?php the_permalink(); ?>" rel="bookmark"><?php the_title(); ?></a>

            </h2>

        </header>

        <?php
        if( $dolpa_archive_layout != 'masonry' && $dolpa_archive_layout != 'metro' ){ ?>

            <div class="entry-excerpt entry-excerpt-muted">
                
                <?php
                if (has_excerpt()) {

                    the_excerpt();

                } else {

                    echo esc_html(wp_trim_words(get_the_content(), 25, '...'));

                } ?>
                
            </div>

        <?php } ?>

    </div>

</article>
